### Function Macro

# Vips REGION_ADDR_TOPLEFT

#### Declaration [src]

    #define VIPS_REGION_ADDR_TOPLEFT (
      R
    )

#### Description [src]

This macro returns a pointer to the top-left pixel in the `VipsRegion`, that is, the pixel at (`R`->valid.left, `R`->valid.top).

See also

`vips_region_prepare()`.

This function is not directly available to language bindings.

#### Parameters

`R`

  Type: `-`

  A `VipsRegion`.